/* CUSTOM
=============================== */

body.body-no-scroll {
	overflow:hidden;
}

/* Allow scrolling inside the side cart */
.elementor-menu-cart__container {
	overflow-y:auto;
	-webkit-overflow-scrolling:touch; /* smooth on iOS */
}



/* MAILPOET POPUP
=============================== */

.mailpoet_form_popup_overlay {
	background-color:rgba(0, 0, 0, 0.8) !important;
}

.mailpoet_form_popup {
	box-shadow:none !important;
}

.mailpoet_form_close_icon {
	top:20px !important;
	right:20px !important;
	width:35px !important;
	height:35px !important;
}

#mp_form_popup1 .mailpoet_form {
	padding-bottom:20px;
}

#mp_form_popup1 .mailpoet_paragraph {
	margin-left:40px;
	margin-right:40px;
}

.habl-mp input {
	font-weight:200;
	font-size:14px !important;
	outline:none;
	transition:all 200ms ease-in-out;
}
.habl-mp input:hover {
	border-color:var(--habl-dark-grey) !important;
}
.habl-mp input:focus {
	border-color:var(--habl-secondary) !important;
/*	background-color:var(--habl-light-grey) !important;	*/
}

.habl-mp .mailpoet_submit {
	font-weight:200;
	text-transform:uppercase;
	border-radius:50px !important;
	transition:all 200ms ease-in-out;
}

.habl-mp .mailpoet_submit:hover {
	background-color:var(--habl-accent-light) !important;
}

.mailpoet_form.mailpoet_form_successfully_send .mailpoet_validate_success {
	top:0% !important;
	width:100% !important;
	text-align:justify !important;
	color:var(--habl-text) !important;
	hyphens:auto;
}



/* Unsubscribe Landing Page - e.g. mailpoet_managae_subscription shortcode */
.mailpoet_paragraph strong {
	font-weight:400 !important;
}

.mailpoet-manage-subscription {
	color:var(--habl-text);
	font-weight:400;
}

.mailpoet-manage-subscription .mailpoet-submit-success {
	color:var(--habl-accent-light) !important;
}

.page-newsletter-settings .mailpoet-manage-subscription .mailpoet-change-email-info {
	display:none !important;
}

.page-newsletter-settings div.mailpoet_paragraph:nth-of-type(1),
.page-newsletter-settings div.mailpoet_paragraph:nth-of-type(2) {
	display:none;
}

.page-newsletter-settings .mailpoet_submit {
	width:100%;
	padding:12px;
	border-radius:50px;
	outline:none;
	border:none;
	background-color:var(--habl-secondary);
	color:var(--habl-white);
	font-size:14px;
	font-weight:200;
	line-height:1.5em;
	text-transform:uppercase;
	transition:all 200ms ease-in-out;
}

.page-newsletter-settings .mailpoet_submit:hover {
	background-color:var(--habl-accent-light);
}


/* Bouncing balls after submit button clicked */
.mailpoet_form_loading {
	width:50px !important;
	margin:0 auto;
}
.mailpoet_form_loading > span {
	width:10px !important;
	height:10px !important;
	background-color:var(--habl-secondary) !important;
}


/* BLOG POSTS
=============================== */

/*
figure {
	width:100%;
	height:100%;
	max-width:1000px;
	margin:40px auto;
	padding:20px;
}

.wp-block-gallery.has-nested-images {
	display:flex;
	flex-direction:row;
	justify-content:center;
	gap:20px !important;
	margin:0 auto !important;
}
*/



/* Single Pic */
.habl-blog-post-content figure.wp-block-image,
.habl-blog-post-content figure.wp-block-post-featured-image,
.habl-blog-post-content figure.wp-block-video {
	position:relative;
	display:flex;
	flex-direction:row;
	margin:80px auto;
	justify-content:center;
}

.habl-blog-post-content figure.wp-block-image a {
	display:flex;
	flex-direction:row;
	justify-content:center;
}

.habl-blog-post-content figure.wp-block-image img,
.habl-blog-post-content figure.wp-block-post-featured-image img,
.habl-blog-post-content figure.wp-block-video video {
	position:relative;
	max-width:1000px;
	border-radius:15px;
}

.habl-blog-post-content figure.wp-block-image img,
.habl-blog-post-content figure.wp-block-post-featured-image img {
	width:70%;
}

.habl-blog-post-content figure.wp-block-video video {
	width:90%;
}

/* Gallery */
.habl-blog-post-content figure.wp-block-gallery.has-nested-images {
	position:relative;
	display:flex;
	flex-wrap:wrap;
	margin:80px auto;
	gap:40px !important;
	width:80%;
	max-width:1000px;
}

.habl-blog-post-content figure.wp-block-gallery.has-nested-images figure.wp-block-image {
	position:relative;
	box-sizing:border-box;
	display:flex;
	flex-direction:column;
	flex-grow:1;
	justify-content:center;
	margin:0;
	max-width:100%;
	width:calc(50% - 40px/2);
}

.habl-blog-post-content figure.wp-block-gallery.has-nested-images img {
	width:100%;
}

@media screen and (max-width: 1024px) {

}

@media screen and (max-width: 667px) {
	.habl-blog-post-content figure.wp-block-image img,
	.habl-blog-post-content figure.wp-block-post-featured-image img {
		width:90%;
	}
	.habl-blog-post-content figure.wp-block-gallery.has-nested-images figure.wp-block-image {
		width:90%;
	}
	.habl-blog-post-content figure.wp-block-gallery.has-nested-images img {
		width:90%;
	}
}



/* BIOGRAPHY POSTS
=============================== */

.habl-bio-post-content figure.wp-block-table table {
	margin:1em 0;
	border-collapse:collapse;
	border-spacing:0;
}

.habl-bio-post-content figure.wp-block-table table tr {
}

.habl-bio-post-content figure.wp-block-table table tr:hover td {
	background:var(--habl-light-grey);
}

.habl-bio-post-content figure.wp-block-table table td {
	padding:40px;
	background:var(--habl-white);
	line-height:1.625em;
	transition:background 200ms ease-in-out;
}
.habl-bio-post-content figure.wp-block-table table td:first-child {
	font-size:3.5rem;
	font-weight:600;
	color:rgba(185,195,195,0.5);
	border-radius:12px 0 0 12px;
	width:25% !important;
}

.habl-bio-post-content figure.wp-block-table table td:last-child {
  border-radius:0 12px 12px 0;
  width:75% !important;
}


.habl-bio-post-content figure.wp-block-image,
.habl-bio-post-content figure.wp-block-post-featured-image,
.habl-bio-post-content figure.wp-block-video {
	position:relative;
	display:flex;
	flex-direction:row;
	margin:80px auto;
	justify-content:center;
}

.habl-bio-post-content figure.wp-block-image a {
	display:flex;
	flex-direction:row;
	justify-content:center;
}

.habl-bio-post-content figure.wp-block-image img,
.habl-bio-post-content figure.wp-block-post-featured-image img,
.habl-bio-post-content figure.wp-block-video video {
	position:relative;
	max-width:1000px;
	border-radius:12px;
}

.habl-bio-post-content figure.wp-block-image img,
.habl-bio-post-content figure.wp-block-post-featured-image img {
	width:70%;
}

.habl-bio-post-content figure.wp-block-video video {
	width:90%;
}

/* Gallery */
.habl-bio-post-content figure.wp-block-gallery.has-nested-images {
	position:relative;
	display:flex;
	flex-wrap:wrap;
	margin:80px auto;
	gap:40px !important;
	width:80%;
	max-width:1000px;
}

.habl-bio-post-content figure.wp-block-gallery.has-nested-images figure.wp-block-image {
	position:relative;
	box-sizing:border-box;
	display:flex;
	flex-direction:column;
	flex-grow:1;
	justify-content:center;
	margin:0;
	max-width:100%;
	width:calc(33% - 40px);
}

.habl-bio-post-content figure.wp-block-gallery.has-nested-images img {
	width:100%;
}

figure.wp-block-image figcaption.wp-element-caption {
	display:none;
}

@media screen and (max-width: 1024px) {

}

@media screen and (max-width: 667px) {
	.habl-bio-post-content figure.wp-block-image img,
	.habl-bio-post-content figure.wp-block-post-featured-image img {
		width:90%;
	}
	.habl-bio-post-content figure.wp-block-gallery.has-nested-images figure.wp-block-image {
		width:90%;
	}
	.habl-bio-post-content figure.wp-block-gallery.has-nested-images img {
		width:90%;
	}
}



/* YOUTUBE PLAYLIST PLUGIN
=============================== */

.fluid-width-video-wrapper iframe {
	border-radius:15px;
}

.epyt-gallery-img {
	border-radius:10px;
}



/* COMPLIANZ COOKIE PLUGIN
=============================== */

/* Cookie Document Site */
#cmplz-document p,
#cmplz-document li,
#cmplz-document td,
.editor-styles-wrapper .cmplz-unlinked-mode p,
.editor-styles-wrapper .cmplz-unlinked-mode li,
.editor-styles-wrapper .cmplz-unlinked-mode td {
	font-size:1.125rem;
	line-height:1.625em;
}

#cmplz-document, .editor-styles-wrapper .cmplz-unlinked-mode {
	max-width:100%;
	text-align:justify;
	text-justify:initial;
	hyphens:auto;
}

.habl-legal-content h2,
#cmplz-document h2 {
	font-size:32px;
	text-align:left;
	margin-top:60px;
    text-transform:initial;
	padding-bottom:10px;
}

.habl-legal-content h2:first-child,
#cmplz-document h2:first-child {
	margin-top:0;
}

.habl-legal-content h4,
#cmplz-document h4,
#cmplz-document .cmplz-subtitle,
.editor-styles-wrapper .cmplz-unlinked-mode .cmplz-subtitle {
	font-size:24px;
	font-weight:300;
	text-align:left;
	margin-bottom:0;
}

.habl-legal-content h5,
#cmplz-document h5 {
	font-size:18px;
	font-weight:400;
	text-align:left;
	margin-bottom:0;
}


